# SupergroupChatImpl - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.chat / SupergroupChatImpl

# SupergroupChatImpl

(common) `data class SupergroupChatImpl : SupergroupChat` (source)

### Constructors

(common)

#### <init>

`SupergroupChatImpl(id: ChatId, title: String, username: Username? = null)`

### Properties

(common)

#### id

`val id: ChatId`

(common)

#### title

`val title: String`

(common)

#### username

`val username: Username?`